Name:           python-maicos
Version:        0.11
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Analyse molecular dynamics simulations of interfacial and confined systems.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        GPL-3.0-or-later
URL:            https://www.maicos-analysis.org
Source:         %{pypi_source maicos}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'maicos' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-maicos
Summary:        %{summary}

%description -n python3-maicos %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-maicos examples


%prep
%autosetup -p1 -n maicos-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x examples


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-maicos -f %{pyproject_files}


%changelog
%autochangelog